Package org.pushingpixels.substance.internal.utils

# Class TraitInfoImpl

java.lang.Object
org.pushingpixels.substance.internal.utils.TraitInfoImpl

All Implemented Interfaces:
  `SubstanceTraitInfo`

Direct Known Subclasses:
  `SkinInfo`

public class TraitInfoImpl extends Object implements SubstanceTraitInfo
Basic class for trait info.

## Constructor Summary

Constructors
Constructor
Description
`TraitInfoImpl(String displayName, String className)`
Simple constructor.

## Method Summary

Modifier and Type
Method
Description
`String`
`getClassName()`
Returns the class name of the associated trait.
`String`
`getDisplayName()`
Returns the display name of the associated trait.
`boolean`
`isDefault()`
Returns indication whether the associated trait is default.
`void`
`setDefault(boolean isDefault)`
Sets indication whether the associated trait is default.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### TraitInfoImpl

public TraitInfoImpl(String displayName, String className)
Simple constructor.

Parameters:
  `displayName` - Display name of the associated trait.
  `className` - Class name of the associated trait.

## Method Details

### getClassName

public String getClassName()
Description copied from interface: `SubstanceTraitInfo`
Returns the class name of the associated trait.

Specified by:
  `getClassName` in interface `SubstanceTraitInfo`
Returns:
  The class name of the associated trait. This method is part of officially supported API.

### getDisplayName

public String getDisplayName()
Description copied from interface: `SubstanceTraitInfo`
Returns the display name of the associated trait. This method is part of officially supported API.

Specified by:
  `getDisplayName` in interface `SubstanceTraitInfo`
Returns:
  The display name of the associated trait.

### isDefault

public boolean isDefault()
Description copied from interface: `SubstanceTraitInfo`
Returns indication whether the associated trait is default.

Specified by:
  `isDefault` in interface `SubstanceTraitInfo`
Returns:
  `true` if the associated trait is default, `false` otherwise.

### setDefault

public void setDefault(boolean isDefault)
Description copied from interface: `SubstanceTraitInfo`
Sets indication whether the associated trait is default.

Specified by:
  `setDefault` in interface `SubstanceTraitInfo`
Parameters:
  `isDefault` - New indication whether the associated trait is default.